Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::DeviceFeedback Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::DeviceFeedback:

## Public Attributes

string | packageId
| the configuration package id
string | deviceId
| the same id as in RemoteDevice
Public Attributes inherited from peripheral::GatewaySensorManager::Feedback
FeedbackObject::FeedbackState | currentState
| Device or sensor state.
vector< FeedbackObject > | infos

## Detailed Description

Definition at line 693 of file GatewaySensorManager.idl.

## Member Data Documentation

## deviceId

string peripheral::GatewaySensorManager::DeviceFeedback::deviceId

the same id as in RemoteDevice

Definition at line 695 of file GatewaySensorManager.idl.

## packageId

string peripheral::GatewaySensorManager::DeviceFeedback::packageId

the configuration package id

Definition at line 694 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl